Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes
tesseract::LangModel Class Reference

`#include <lang_model.h>`

Inheritance diagram for tesseract::LangModel:

List of all members.

## Public Member Functions

| LangModel ()
virtual | ~LangModel ()
virtual LangModEdge * | Root ()=0
virtual LangModEdge ** | GetEdges (CharAltList *alt_list, LangModEdge *parent_edge, int *edge_cnt)=0
virtual bool | IsValidSequence (const char_32 *str, bool eow_flag, LangModEdge **edge_array=NULL)=0
virtual bool | IsLeadingPunc (char_32 ch)=0
virtual bool | IsTrailingPunc (char_32 ch)=0
virtual bool | IsDigit (char_32 ch)=0
bool | OOD ()
bool | Numeric ()
bool | WordList ()
bool | Punc ()
void | SetOOD (bool ood)
void | SetNumeric (bool numeric)
void | SetWordList (bool word_list)
void | SetPunc (bool punc_enabled)

## Protected Attributes

bool | ood_enabled_
bool | numeric_enabled_
bool | word_list_enabled_
bool | punc_enabled_

## Detailed Description

Definition at line 34 of file lang_model.h.

## Constructor & Destructor Documentation

tesseract::LangModel::LangModel | ( |  | ) |

inline

Definition at line 36 of file lang_model.h.

{
ood_enabled_ = true;
numeric_enabled_ = true;
word_list_enabled_ = true;
punc_enabled_ = true;
}

virtual tesseract::LangModel::~LangModel | ( |  | ) |

inlinevirtual

Definition at line 42 of file lang_model.h.

{}

## Member Function Documentation

virtual LangModEdge** tesseract::LangModel::GetEdges | ( | CharAltList * | alt_list,
|  | LangModEdge * | parent_edge,
|  | int * | edge_cnt
| ) |  |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

virtual bool tesseract::LangModel::IsDigit | ( | char_32 | ch | ) |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

virtual bool tesseract::LangModel::IsLeadingPunc | ( | char_32 | ch | ) |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

virtual bool tesseract::LangModel::IsTrailingPunc | ( | char_32 | ch | ) |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

virtual bool tesseract::LangModel::IsValidSequence | ( | const char_32 * | str,
|  | bool | eow_flag,
|  | LangModEdge ** | edge_array = `NULL`
| ) |  |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

bool tesseract::LangModel::Numeric | ( |  | ) |

inline

Definition at line 62 of file lang_model.h.

{ return numeric_enabled_; }

bool tesseract::LangModel::OOD | ( |  | ) |

inline

Definition at line 61 of file lang_model.h.

{ return ood_enabled_; }

bool tesseract::LangModel::Punc | ( |  | ) |

inline

Definition at line 64 of file lang_model.h.

{ return punc_enabled_; }

virtual LangModEdge* tesseract::LangModel::Root | ( |  | ) |

pure virtual

Implemented in tesseract::TessLangModel, and tesseract::WordListLangModel.

void tesseract::LangModel::SetNumeric | ( | bool | numeric | ) |

inline

Definition at line 66 of file lang_model.h.

{ numeric_enabled_ = numeric; }

void tesseract::LangModel::SetOOD | ( | bool | ood | ) |

inline

Definition at line 65 of file lang_model.h.

{ ood_enabled_ = ood; }

void tesseract::LangModel::SetPunc | ( | bool | punc_enabled | ) |

inline

Definition at line 68 of file lang_model.h.

{ punc_enabled_ = punc_enabled; }

void tesseract::LangModel::SetWordList | ( | bool | word_list | ) |

inline

Definition at line 67 of file lang_model.h.

{ word_list_enabled_ = word_list; }

bool tesseract::LangModel::WordList | ( |  | ) |

inline

Definition at line 63 of file lang_model.h.

{ return word_list_enabled_; }

## Member Data Documentation

bool tesseract::LangModel::numeric_enabled_

protected

Definition at line 72 of file lang_model.h.

bool tesseract::LangModel::ood_enabled_

protected

Definition at line 71 of file lang_model.h.

bool tesseract::LangModel::punc_enabled_

protected

Definition at line 74 of file lang_model.h.

bool tesseract::LangModel::word_list_enabled_

protected

Definition at line 73 of file lang_model.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/lang_model.h